Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/just_color_and_title.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/just_color_and_title.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/just_color_and_title.py	(revision 1050)
@@ -5,5 +5,5 @@
 anewversion.defineplot(loadfile="../../demo_data/gw.ppobj")
 for plot in anewversion.p:
-    plot.colorb = "Paired"
+    plot.colorbar = "Paired"
     plot.title = "Psychedelic plot!"
 anewversion.makeplot()
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/tes.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/tes.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/tes.py	(revision 1050)
@@ -12,6 +12,6 @@
 tes.superpose = True
 tes.getdefineplot()
-tes.p[0].label = "MY24"
-tes.p[1].label = "MY25"
-tes.p[2].label = "MY26"
+tes.p[0].legend = "MY24"
+tes.p[1].legend = "MY25"
+tes.p[2].legend = "MY26"
 tes.makeplot()
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/vertpress1d.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/vertpress1d.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/additional/vertpress1d.py	(revision 1050)
@@ -26,5 +26,5 @@
 temp.filename = name
 temp.includedate = False
-temp.colorb = "hot"
+temp.colorbar = "hot"
 
 # this is doing defineplot amongst other things
@@ -43,5 +43,5 @@
     yeah.xmin = 70.
     yeah.div = 32
-    yeah.label = labs[count]
+    yeah.legend = labs[count]
     yeah.title = "Equilibrium profile with a 1D globally-averaged model after 50 Saturn years"
     count = count+1
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/aire.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/aire.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/aire.py	(revision 1050)
@@ -11,5 +11,5 @@
 tpond.compute = "meanarea"
 tpond.superpose = True
-tpond.label = "mean with ponderation by mesh area"
+tpond.legend = "mean with ponderation by mesh area"
 tpond.getplot(extraplot=1)
 
@@ -18,5 +18,5 @@
 tnormal.compute = "mean"
 tnormal.plotin = tpond
-tnormal.label = "simple mean (kind of wrong)"
+tnormal.legend = "simple mean (kind of wrong)"
 tnormal.filename = "aire"
 tnormal.getplot()
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/function.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/function.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/function.py	(revision 1050)
@@ -22,5 +22,5 @@
 
 S.p[0].marker = 'o'
-S.p[0].lstyle = ''
+S.p[0].linestyle = ''
 S.p[0].ylabel = "Surface geopotential height (km)"
 S.p[0].ycoeff = 1./1000.
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/gw.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/gw.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/gw.py	(revision 1050)
@@ -32,5 +32,5 @@
     plot.div = 30
     plot.nxticks = 5
-gw.p[0].colorb = "RdBu_r"
+gw.p[0].colorbar = "RdBu_r"
 gw.p[0].vmin = -1.
 gw.p[0].vmax = 1.
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/gw_v2.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/gw_v2.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/gw_v2.py	(revision 1050)
@@ -15,5 +15,5 @@
 # we define global settings for plot
 # (must be done before defineplot)
-gw.colorb = "RdBu_r"
+gw.colorbar = "RdBu_r"
 gw.vmin = -1. ; gw.vmax = 1.
 gw.div = 30
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/meso_profile.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/meso_profile.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/meso_profile.py	(revision 1050)
@@ -17,5 +17,5 @@
 m.verbose = True # making the programe verbose
 #m.out = "pdf" # output format
-m.colorb = "spectral" # color cycle according to a color map
+m.colorbar = "spectral" # color cycle according to a color map
 
 # get data and make plot with default settings
@@ -43,5 +43,5 @@
 # change a few plot settings
 for curve in S.p: 
-    curve.lstyle = "--"
+    curve.linestyle = "--"
     curve.marker = ""
 S.p[0].swaplab = False
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/scatter.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/scatter.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/scatter.py	(revision 1050)
@@ -16,5 +16,5 @@
 
 S = ps.func(tsurf)
-S.p[0].lstyle=""
+S.p[0].linestyle=""
 S.p[0].marker="h"
 S.p[0].color="g"
@@ -27,5 +27,5 @@
 
 S2 = icetot.func(tsurf)
-S2.p[0].lstyle=""
+S2.p[0].linestyle=""
 S2.p[0].marker="D"
 S2.p[0].color="r"
@@ -46,5 +46,5 @@
 wind = wind**0.5
 S3 = wind.func(ps)
-S3.p[0].lstyle=""
+S3.p[0].linestyle=""
 S3.p[0].marker="o"
 S3.p[0].color="k"
@@ -71,5 +71,5 @@
 
 S = ps.func(tsurf)
-S.p[0].lstyle=""
+S.p[0].linestyle=""
 S.p[0].marker="h"
 S.p[0].color="g"
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/simple.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/simple.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/simple.py	(revision 1050)
@@ -28,5 +28,5 @@
 # we simply change the colorbar
 # ... no need to reload data
-u.p[0].colorb = "RdBu"
+u.p[0].colorbar = "RdBu"
 u.filename = "myplot"
 u.makeplot()
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/tide.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/tide.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/tide.py	(revision 1050)
@@ -22,5 +22,5 @@
 addplot.title = "Tide signal at the equator"
 addplot.ylabel = "$p_s$ diurnal anomaly (Pa)"
-addplot.lstyle = ""
+addplot.linestyle = ""
 addplot.marker = "."
 addplot.plot()
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/vector.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/vector.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/vector.py	(revision 1050)
@@ -12,14 +12,14 @@
 # stride both x and y
 # this impacts field + vector
-u.stridex = 3
-u.stridey = 3
+u.sx = 3
+u.sy = 3
 u.getplot()
-u.stridex = 1 # (reinitialise)
-u.stridey = 1 # (reinitialise)
+u.sx = 1 # (reinitialise)
+u.sy = 1 # (reinitialise)
 
 # stride vectors only
 # not field (here topography)
-u.stridevecx = 3
-u.stridevecy = 3
+u.sx = 3
+u.sy = 3
 u.getplot()
 
@@ -31,5 +31,5 @@
 
 
-u.p[0].colorb = "jet"
+u.p[0].colorbar = "jet"
 u.p[0].trans = 0.0
 u.p[0].back = "vis"
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/windspeed.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/windspeed.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/windspeed.py	(revision 1050)
@@ -27,6 +27,6 @@
 wind.filename = "windspeed"
 wind.defineplot()
+wind.p[2].proj = "ortho"
 wind.p[2].title = "$\sqrt{u^2+v^2}$"
-wind.p[2].proj = "ortho"
 wind.makeplot() # plot within the previous one (show because complete)
 
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/zonalcontour.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/zonalcontour.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/zonalcontour.py	(revision 1050)
@@ -12,5 +12,5 @@
 u.defineplot()
 u.p[0].div = 30.
-u.p[0].colorb = "spectral"
+u.p[0].colorbar = "spectral"
 u.makeplot()
 
Index: trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/zonalmean.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/zonalmean.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/examples/reference/zonalmean.py	(revision 1050)
@@ -25,5 +25,5 @@
 u.defineplot()
 u.p[0].div = 30.
-u.p[0].colorb = "RdBu_r"
+u.p[0].colorbar = "RdBu_r"
 u.p[0].title = "This is a zonal mean"
 u.makeplot()
@@ -35,5 +35,5 @@
 u.defineplot()
 u.p[0].div = 30.
-u.p[0].colorb = "cool"
+u.p[0].colorbar = "cool"
 u.p[0].title = "This is minimum over zonal axis"
 u.makeplot()
@@ -45,5 +45,5 @@
 u.defineplot()
 u.p[0].div = 30.
-u.p[0].colorb = "hot"
+u.p[0].colorbar = "hot"
 u.p[0].title = "This is maximum over zonal axis"
 u.makeplot()
Index: trunk/UTIL/PYTHON/planetoplot_v2/pp.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/pp.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/pp.py	(revision 1050)
@@ -56,8 +56,8 @@
                   help="transformation on time axis : [None] | correctls | mars_sol2ls | mars_dayini | mars_meso_ls | mars_meso_sol | mars_meso_utc | mars_meso_lt ")
 parser.add_option('-p','--print',action='store_true',dest='savtxt',default=False,help="[1D] output field+coord in an ASCII file")
-parser.add_option('--stridex',action='store',dest='stridex',type="int",default=1,help="Load data every stridex grid points over x dimension")
-parser.add_option('--stridey',action='store',dest='stridey',type="int",default=1,help="Load data every stridex grid points over y dimension")
-parser.add_option('--stridez',action='store',dest='stridez',type="int",default=1,help="Load data every stridex grid points over z dimension")
-parser.add_option('--stridet',action='store',dest='stridet',type="int",default=1,help="Load data every stridex grid points over t dimension")
+parser.add_option('--sx',action='store',dest='sx',type="int",default=1,help="Load data every sx grid points over x dimension")
+parser.add_option('--sy',action='store',dest='sy',type="int",default=1,help="Load data every sy grid points over y dimension")
+parser.add_option('--sz',action='store',dest='sz',type="int",default=1,help="Load data every sz grid points over z dimension")
+parser.add_option('--st',action='store',dest='st',type="int",default=1,help="Load data every st grid points over t dimension")
 # plot --> upper case
 # -- generic
@@ -72,9 +72,9 @@
 parser.add_option('-U','--units',action='append',dest='units',type="string",default=None,help="units for the field")
 # -- 1D plot
-parser.add_option('-L','--lstyle',action='append',dest='lstyle',type="string",default=None,help="[1D] linestyle: '-' '--' '.' '..'")
+parser.add_option('-L','--linestyle',action='append',dest='linestyle',type="string",default=None,help="[1D] linestyle: '-' '--' '.' '..'")
 parser.add_option('-Q','--color',action='append',dest='color',type="string",default=None,help="[1D] color: 'b' 'g' 'r' etc")
 parser.add_option('-K','--marker',action='append',dest='marker',type="string",default=None,help="[1D] marker: '' 'x' 'o' etc")
 parser.add_option('-S','--superpose',action='store_true',dest='superpose',default=False,help="[1D] use same axis for all plots")
-parser.add_option('-E','--label',action='append',dest='label',type="string",default=None,help="[1D] label for line")
+parser.add_option('-E','--legend',action='append',dest='legend',type="string",default=None,help="[1D] legend for line")
 parser.add_option('--xcoeff',action='append',dest='xcoeff',type="float",default=None,help="[1D] multiply x axis")
 parser.add_option('--ycoeff',action='append',dest='ycoeff',type="float",default=None,help="[1D] multiply y axis")
@@ -85,5 +85,5 @@
 parser.add_option('--modx',action='append',dest='modx',type="float",default=None,help="[1D] change xticks with a modulo")
 # -- 2D plot
-parser.add_option('-C','--colorb',action='append',dest='colorb',type="string",default=None,help="[2D] colormap: http://micropore.files.wordpress.com/2010/06/colormaps.png")
+parser.add_option('-C','--colorbar',action='append',dest='colorbar',type="string",default=None,help="[2D] colormap: http://micropore.files.wordpress.com/2010/06/colormaps.png")
 parser.add_option('-P','--proj',action='append',dest='proj',type="string",default=None,help="[2D] map projection: 'cyl' 'npstere' 'spstere' 'ortho' 'moll' 'robin' 'lcc' 'laea' 'merc' 'noproj'")
 parser.add_option('-B','--back',action='append',dest='back',type="string",default=None,help='[2D] predefined map background (cf. set_back.txt)')
@@ -94,6 +94,6 @@
 parser.add_option('-M','--vmax',action='append',dest='vmax',type="float",default=None,help='[2D] float: maximum value for displayed field')
 parser.add_option('-W','--wscale',action='append',dest='wscale',type="float",default=None,help='[2D] float: set size of reference wind vector')
-parser.add_option('--stridevecx',action='store',dest='stridevecx',type="int",default=1,help="Define an abscissa stride on vectors only -- not on field")
-parser.add_option('--stridevecy',action='store',dest='stridevecy',type="int",default=1,help="Define an ordinate stride on vectors only -- not on field")
+parser.add_option('--svx',action='store',dest='svx',type="int",default=1,help="Define an abscissa stride on vectors only -- not on field")
+parser.add_option('--svy',action='store',dest='svy',type="int",default=1,help="Define an ordinate stride on vectors only -- not on field")
 ###########################
 (opt,args) = parser.parse_args()
@@ -134,10 +134,7 @@
 user.compute = opt.compute
 user.changetime = opt.changetime
-user.stridex = opt.stridex
-user.stridey = opt.stridey
-user.stridez = opt.stridez
-user.stridet = opt.stridet
-user.stridevecx = opt.stridevecx
-user.stridevecy = opt.stridevecy
+user.sx = opt.sx ; user.sy = opt.sy
+user.sz = opt.sz ; user.st = opt.st
+user.svx = opt.svx ; user.svy = opt.svy
 user.savtxt = opt.savtxt
 # define field
Index: trunk/UTIL/PYTHON/planetoplot_v2/pp_reload.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/pp_reload.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/pp_reload.py	(revision 1050)
@@ -14,5 +14,5 @@
 parser.add_option('-K','--marker',action='store',dest='marker',type="string",default=None,help="[1D] Define a new marker")
 parser.add_option('-P','--proj',action='store',dest='proj',type="string",default=None,help='[2D] Define a new map projection')
-parser.add_option('-C','--colorb',action='store',dest='colorb',type="string",default=None,help="[2D] Define a new colormap")
+parser.add_option('-C','--colorbar',action='store',dest='colorbar',type="string",default=None,help="[2D] Define a new colormap")
 parser.add_option('-E','--explore',action='store_true',dest='explore',default=False,help="[2D] Try many colormaps")
 (opt,args) = parser.parse_args()
@@ -34,8 +34,8 @@
       for plot in yeah.p:
         plot.proj = opt.proj
-    if opt.colorb is not None:
-      yeah.colorb = opt.colorb
+    if opt.colorbar is not None:
+      yeah.colorbar = opt.colorbar
       for plot in yeah.p:
-        plot.colorb = opt.colorb
+        plot.colorbar = opt.colorbar
     if opt.marker is not None:
       for plot in yeah.p:
@@ -48,5 +48,5 @@
       for cm in clb:
        for plot in yeah.p:
-         plot.colorb = cm
+         plot.colorbar = cm
          plot.title = cm
        yeah.makeplot()
Index: trunk/UTIL/PYTHON/planetoplot_v2/ppclass.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/ppclass.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/ppclass.py	(revision 1050)
@@ -133,8 +133,8 @@
                       filegoal=None,vargoal=None,\
                       x=None,y=None,z=None,t=None,\
-                      stridex=1,stridey=1,\
-                      stridez=1,stridet=1,\
-                      stridevecx=1,\
-                      stridevecy=1,\
+                      sx=1,sy=1,\
+                      sz=1,st=1,\
+                      svx=1,\
+                      svy=1,\
                       compute="mean",\
                       verbose=False,\
@@ -155,9 +155,9 @@
                       vmin=None,vmax=None,\
                       div=None,\
-                      colorb=None,\
-                      lstyle=None,\
+                      colorbar=None,\
+                      linestyle=None,\
                       marker=None,\
                       color=None,\
-                      label=None,\
+                      legend=None,\
                       changetime=None,\
                       units=None,\
@@ -187,8 +187,8 @@
         self.x = x ; self.y = y   ## if None, free dimension
         self.z = z ; self.t = t   ## if None, free dimension
-        self.stridex = stridex ; self.stridey = stridey
-        self.stridez = stridez ; self.stridet = stridet
-        self.stridevecx = stridevecx
-        self.stridevecy = stridevecy
+        self.sx = sx ; self.sy = sy
+        self.sz = sz ; self.st = st
+        self.svx = svx
+        self.svy = svy
         self.compute = compute
         self.verbose = verbose
@@ -214,9 +214,9 @@
         self.vmin = vmin ; self.vmax = vmax
         self.div = div
-        self.colorb = colorb
-        self.lstyle = lstyle
+        self.colorbar = colorbar
+        self.linestyle = linestyle
         self.marker = marker
         self.color = color
-        self.label = label
+        self.legend = legend
         self.units = units
         self.title = title
@@ -253,6 +253,6 @@
             self.x = other.x ; self.y = other.y   ## if None, free dimension
             self.z = other.z ; self.t = other.t   ## if None, free dimension
-            self.stridex = other.stridex ; self.stridey = other.stridey
-            self.stridez = other.stridez ; self.stridet = other.stridet
+            self.sx = other.sx ; self.sy = other.sy
+            self.sz = other.sz ; self.st = other.st
             self.verbose = other.verbose
             self.noproj = other.noproj
@@ -268,9 +268,9 @@
             self.vmin = other.vmin ; self.vmax = other.vmax
             self.div = other.div
-            self.colorb = other.colorb
-            self.lstyle = other.lstyle
+            self.colorbar = other.colorbar
+            self.linestyle = other.linestyle
             self.marker = other.marker
             self.color = other.color
-            self.label = other.label
+            self.legend = other.legend
             self.units = other.units
             self.title = other.title
@@ -597,6 +597,6 @@
               obj.performtimechange()
               # get strides
-              obj.stridex = self.stridex ; obj.stridey = self.stridey
-              obj.stridez = self.stridez ; obj.stridet = self.stridet
+              obj.sx = self.sx ; obj.sy = self.sy
+              obj.sz = self.sz ; obj.st = self.st
               ### get index
               obj.getindextime(dalist=st,ind=t)
@@ -643,5 +643,5 @@
               # save fields in self.f for the user
               self.f[count] = obj.field
-              # save a label in self.l for the user
+              # save a legend in self.l for the user
               self.l[count] = "_"
               if self.nfin > 1:   self.l[count] = self.l[count] + "f=#"+str(int(i+1))+'_'
@@ -734,6 +734,6 @@
             for count in range(self.nplot):
               pl = self.p[count]
-              masked = np.ma.masked_where(np.abs(pl.field) > self.missing,pl.field)
-              pl.field = masked ; pl.field[pl.field.mask] = np.NaN
+              masked = np.ma.masked_where(np.abs(pl.f) > self.missing,pl.f)
+              pl.f = masked ; pl.f[pl.f.mask] = np.NaN
             return #self?
         # -----------------------------------------------------
@@ -791,22 +791,22 @@
                     plobj.define_from_var()
                     # generic 1D/2D: load field and coord in plot object 
-                    plobj.field = obj.field    # field to be plotted
-                    plobj.absc = obj.absc      # abscissa (or longitude)
-                    plobj.ordi = obj.ordi      # ordinate (or latitude)
+                    plobj.f = obj.field    # field to be plotted
+                    plobj.x = obj.absc      # abscissa (or longitude)
+                    plobj.y = obj.ordi      # ordinate (or latitude)
                                                # -- useless in 1D but not used anyway
                     # specific 1D plot stuff
                     if dp == 1:
-                        # -- a default label
-                        plobj.label = ""
-                        if self.nfin > 1: plobj.label = plobj.label + " file #"+str(i+1)
-                        if self.nvin > 1: plobj.label = plobj.label + " var "+plobj.var
-                        if self.nplott > 1: plobj.label = plobj.label + " t="+str(self.t[t])
-                        if self.nplotz > 1: plobj.label = plobj.label + " z="+str(self.z[z])
-                        if self.nploty > 1: plobj.label = plobj.label + " y="+str(self.y[y])
-                        if self.nplotx > 1: plobj.label = plobj.label + " x="+str(self.x[x])
+                        # -- a default legend
+                        plobj.legend = ""
+                        if self.nfin > 1: plobj.legend = plobj.legend + " file #"+str(i+1)
+                        if self.nvin > 1: plobj.legend = plobj.legend + " var "+plobj.var
+                        if self.nplott > 1: plobj.legend = plobj.legend + " t="+str(self.t[t])
+                        if self.nplotz > 1: plobj.legend = plobj.legend + " z="+str(self.z[z])
+                        if self.nploty > 1: plobj.legend = plobj.legend + " y="+str(self.y[y])
+                        if self.nplotx > 1: plobj.legend = plobj.legend + " x="+str(self.x[x])
                     # specific 2d plot stuff
                     if dp == 2:
                         # -- light grey background for missing values
-                        if type(plobj.field).__name__ in 'MaskedArray': plobj.axisbg = '0.75'
+                        if type(plobj.f).__name__ in 'MaskedArray': plobj.axisbg = '0.75'
                         # -- define if it is a map or a plot
                         plobj.mapmode = ( obj.method_x+obj.method_y == "freefree" \
@@ -821,5 +821,5 @@
                     if self.title is not None: plobj.title = self.title
                     if self.units is not None: plobj.units = self.units
-                    if self.colorb is not None: plobj.colorb = self.colorb
+                    if self.colorbar is not None: plobj.colorbar = self.colorbar
                     if self.modx is not None: plobj.modx = self.modx
                     if self.nxticks is not None: plobj.nxticks = self.nxticks
@@ -827,8 +827,8 @@
                     # -- 1D specific
                     if dp == 1:
-                        if self.lstyle is not None: plobj.lstyle = self.lstyle
+                        if self.linestyle is not None: plobj.linestyle = self.linestyle
                         if self.marker is not None: plobj.marker = self.marker
                         if self.color is not None: plobj.color = self.color
-                        if self.label is not None: plobj.label = self.label
+                        if self.legend is not None: plobj.legend = self.legend
                     # -- 2D specific
                     elif dp == 2:
@@ -836,6 +836,6 @@
                         if self.vmin is not None: plobj.vmin = self.vmin
                         if self.vmax is not None: plobj.vmax = self.vmax
-                        plobj.stridevecx = self.stridevecx
-                        plobj.stridevecy = self.stridevecy
+                        plobj.svx = self.svx
+                        plobj.svy = self.svy
                     # finally append plot object
                     self.p.append(plobj)
@@ -871,7 +871,7 @@
                   ##########################################
                   if condvar == "contour":
-                      plobj.addcontour = self.request[i][j+1][t][z][y][x].field ; found += 1
+                      plobj.c = self.request[i][j+1][t][z][y][x].field ; found += 1
                   if condfile == "contour":
-                      plobj.addcontour = self.request[i+1][j][t][z][y][x].field ; found += 1
+                      plobj.c = self.request[i+1][j][t][z][y][x].field ; found += 1
                   # see if there is a vector requested...
                   # (we use try because we might be at the end of the list)
@@ -883,9 +883,9 @@
                   # (in some cases we would do this twice but this is cheap)
                   if "vector" in condvar:
-                      plobj.addvecx = self.request[i][j+found+1][t][z][y][x].field
-                      plobj.addvecy = self.request[i][j+found+2][t][z][y][x].field
+                      plobj.vx = self.request[i][j+found+1][t][z][y][x].field
+                      plobj.vy = self.request[i][j+found+2][t][z][y][x].field
                   if "vector" in condfile:
-                      plobj.addvecx = self.request[i+found+1][j][t][z][y][x].field
-                      plobj.addvecy = self.request[i+found+2][j][t][z][y][x].field
+                      plobj.vx = self.request[i+found+1][j][t][z][y][x].field
+                      plobj.vy = self.request[i+found+2][j][t][z][y][x].field
                   count = count + 1
         # COUNT PLOTS. if 0 just exit.
@@ -924,5 +924,5 @@
             ## adapted space for labels etc
             ## ... except for ortho because there is no label anyway
-            self.customplot = self.p[0].field.ndim == 2 \
+            self.customplot = self.p[0].f.ndim == 2 \
                         and self.p[0].mapmode == True \
                         and self.p[0].proj not in ["ortho"]
@@ -953,9 +953,9 @@
                     # possibility to color lines according to a color map
                     # ... made so that all plots span the whole color map automatically.
-                    if self.colorb is not None: 
-                        if self.verbose: print "**** OK. We make a rainbow spaghetti plot with color map ",self.colorb
-                        ppplot.rainbow(cb=self.colorb,num=self.howmanyplots)
+                    if self.colorbar is not None: 
+                        if self.verbose: print "**** OK. We make a rainbow spaghetti plot with color map ",self.colorbar
+                        ppplot.rainbow(cb=self.colorbar,num=self.howmanyplots)
                 else: 
-                    pl.invert = False ; pl.lstyle = None # don't invert again axis
+                    pl.invert = False ; pl.linestyle = None # don't invert again axis
                     # set saved titles and labels
                     if self.plotin is None:
@@ -978,5 +978,5 @@
                 if self.verbose: print "**** Printing results in a text file"
                 name = pl.var + "%04d" % self.n
-                ppplot.writeascii(field=pl.field,absc=pl.absc,name=name) 
+                ppplot.writeascii(field=pl.f,absc=pl.x,name=name) 
             # increment plot count (and propagate this in plotin)
             self.n = self.n+1
@@ -1044,15 +1044,15 @@
         while count < self.howmanyplots:
            sobj = self.p[count] ; oobj = other.p[count]
-           if sobj.field.ndim !=1 or oobj.field.ndim !=1:
+           if sobj.f.ndim !=1 or oobj.f.ndim !=1:
                if self.verbose: print "!! WARNING !! Flattening arrays because more than one-dimensional."
-               sobj.field = np.ravel(sobj.field)
-               oobj.field = np.ravel(oobj.field)
-           sobj.absc = oobj.field
+               sobj.f = np.ravel(sobj.f)
+               oobj.f = np.ravel(oobj.f)
+           sobj.x = oobj.f
            sobj.xlabel = oobj.ylabel
-           if sobj.absc.size > sobj.field.size:
+           if sobj.x.size > sobj.f.size:
                if self.verbose:
-                   print "!! WARNING !! Trying to define y=f(x) with x and y not at the same size.",sobj.absc.size,sobj.field.size
+                   print "!! WARNING !! Trying to define y=f(x) with x and y not at the same size.",sobj.x.size,sobj.f.size
                    print "!! WARNING !! Modifying x to fit y size but please check." 
-               sobj.absc = sobj.absc[0:sobj.field.size]
+               sobj.x = sobj.x[0:sobj.f.size]
            count = count + 1
         return self
@@ -1083,7 +1083,7 @@
             except: pass
             ###
-            try: self.p[iii].colorb = opt.colorb[iii]
+            try: self.p[iii].colorbar = opt.colorbar[iii]
             except: 
-                try: self.p[iii].colorb = opt.colorb[0] ; self.colorb = opt.colorb[0]
+                try: self.p[iii].colorbar = opt.colorbar[0] ; self.colorbar = opt.colorbar[0]
                 except: pass
             ###
@@ -1112,7 +1112,7 @@
                 except: pass
             ###
-            try: self.p[iii].lstyle = opt.lstyle[iii]
+            try: self.p[iii].linestyle = opt.linestyle[iii]
             except: 
-                try: self.p[iii].lstyle = opt.lstyle[0]
+                try: self.p[iii].linestyle = opt.linestyle[0]
                 except: pass
             ###
@@ -1127,7 +1127,7 @@
                 except: pass
             ###
-            try: self.p[iii].label = opt.label[iii]
+            try: self.p[iii].legend = opt.legend[iii]
             except:
-                try: self.p[iii].label = opt.label[0]
+                try: self.p[iii].legend = opt.legend[0]
                 except: pass
             ###
@@ -1242,5 +1242,5 @@
         self.compute = None
         self.changetime = None
-        self.stridex = 1 ; self.stridey = 1 ; self.stridez = 1 ; self.stridet = 1
+        self.sx = 1 ; self.sy = 1 ; self.sz = 1 ; self.st = 1
         self.missing = '!! missing value: I am not set, damned !!'
 
@@ -1462,5 +1462,5 @@
     def getindextime(self,dalist=None,ind=None):
         if self.method_t == "free": 
-            self.index_t = np.arange(0,self.dim_t,self.stridet)
+            self.index_t = np.arange(0,self.dim_t,self.st)
             if self.dim_t > 1:  
                 self.dimplot = self.dimplot + 1 
@@ -1472,5 +1472,5 @@
             start = np.argmin( np.abs( self.field_t - dalist[ind][0] ) )
             stop = np.argmin( np.abs( self.field_t - dalist[ind][1] ) )
-            self.index_t = np.arange(start,stop,self.stridet)
+            self.index_t = np.arange(start,stop,self.st)
             if self.verbose: print "**** OK. t values. comp over interval ",self.field_t[start],self.field_t[stop]," nvalues=",self.index_t.size
         elif self.method_t == "fixed":
@@ -1486,5 +1486,5 @@
     def getindexvert(self,dalist=None,ind=None):
         if self.method_z == "free": 
-            self.index_z = np.arange(0,self.dim_z,self.stridez)
+            self.index_z = np.arange(0,self.dim_z,self.sz)
             if self.dim_z > 1:  
                 self.dimplot = self.dimplot + 1
@@ -1496,5 +1496,5 @@
             start = np.argmin( np.abs( self.field_z - dalist[ind][0] ) )
             stop = np.argmin( np.abs( self.field_z - dalist[ind][1] ) )
-            self.index_z = np.arange(start,stop,self.stridez)
+            self.index_z = np.arange(start,stop,self.sz)
             if self.verbose: print "**** OK. z values. comp over interval",self.field_z[start],self.field_z[stop]," nvalues=",self.index_z.size
         elif self.method_z == "fixed":
@@ -1521,5 +1521,5 @@
         ## - LON IS COMP AND LAT IS FREE
         if self.method_x == "free" or test in ["compfree","compcomp"]:
-            self.index_x = range(0,self.dim_x,self.stridex)
+            self.index_x = range(0,self.dim_x,self.sx)
             if self.dim_x > 1:  
                 if self.method_x == "free": self.dimplot = self.dimplot + 1
@@ -1529,5 +1529,5 @@
                 if self.verbose: print "**** OK. no x dimension."
         if self.method_y == "free" or test in ["freecomp","compcomp"]:
-            self.index_y = range(0,self.dim_y,self.stridey)
+            self.index_y = range(0,self.dim_y,self.sy)
             if self.dim_y > 1:  
                 if self.method_y == "free": self.dimplot = self.dimplot + 1
@@ -1663,7 +1663,7 @@
           # ... there are special cases with strides
           # ... some other fixes will be needed probably TBD
-          if self.method_x == "free" and self.stridex != 1:
+          if self.method_x == "free" and self.sx != 1:
               self.field_x = self.field_x[self.index_x]
-          if self.method_y == "free" and self.stridey != 1: 
+          if self.method_y == "free" and self.sy != 1: 
               self.field_y = self.field_y[self.index_y]
         self.field_z = self.field_z[self.index_z]
@@ -1675,5 +1675,5 @@
           pass
         elif test in ["fixedfree","fixedcomp"] or test in ["freefixed","compfixed"]: 
-         if self.stridex == 1 and self.stridey == 1:
+         if self.sx == 1 and self.sy == 1:
           time0 = timelib.time()
           # now have to obtain the new indexes which correspond to the extracted self.field
Index: trunk/UTIL/PYTHON/planetoplot_v2/ppplot.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot_v2/ppplot.py	(revision 1040)
+++ trunk/UTIL/PYTHON/planetoplot_v2/ppplot.py	(revision 1050)
@@ -318,4 +318,8 @@
           print "!! ERROR !! File format not supported. Supported: ",possiblesave
 
+# a necessary addition for people used to matplotlib
+def show():
+    mpl.show()
+
 ##################################
 # a generic class to make a plot #
@@ -336,6 +340,6 @@
     def __init__(self,\
                  var=None,\
-                 field=None,\
-                 absc=None,\
+                 f=None,\
+                 x=None,\
                  xlabel="",\
                  ylabel="",\
@@ -349,5 +353,5 @@
                  ycoeff=1.,\
                  fmt=None,\
-                 colorb="jet",\
+                 colorbar="jet",\
                  units="",\
                  modx=None,\
@@ -361,6 +365,6 @@
         ## what could be defined by the user
         self.var = var
-        self.field = field
-        self.absc = absc
+        self.f = f
+        self.x = x
         self.xlabel = xlabel
         self.ylabel = ylabel
@@ -376,5 +380,5 @@
         self.fmt = fmt
         self.units = units
-        self.colorb = colorb
+        self.colorbar = colorbar
         self.modx = modx
         self.xmin = xmin
@@ -392,6 +396,6 @@
     # -------------------------------
     def check(self):
-        if self.field is None: print "!! ERROR !! Please define a field to be plotted" ; exit()
-        else: self.field = np.array(self.field) # ensure this is a numpy array
+        if self.f is None: print "!! ERROR !! Please define a field to be plotted" ; exit()
+        else: self.f = np.array(self.f) # ensure this is a numpy array
 
     # define_from_var
@@ -418,6 +422,6 @@
         mpl.title(self.title)
         # if masked array, set masked values to filled values (e.g. np.nan) for plotting purposes
-        if type(self.field).__name__ in 'MaskedArray':
-            self.field[self.field.mask] = self.field.fill_value
+        if type(self.f).__name__ in 'MaskedArray':
+            self.f[self.f.mask] = self.f.fill_value
 
 ################################
@@ -438,15 +442,15 @@
     # -------------------------------
     def __init__(self,\
-                 lstyle=None,\
+                 linestyle=None,\
                  color=None,\
                  marker='x',\
-                 label=None):
+                 legend=None):
         ## get initialization from parent class
         plot.__init__(self)
         ## what could be defined by the user
-        self.lstyle = lstyle
+        self.linestyle = linestyle
         self.color = color
         self.marker = marker
-        self.label = label
+        self.legend = legend
 
     # define_from_var
@@ -471,14 +475,14 @@
         # add specific stuff
         mpl.grid(color='grey')
-        if self.lstyle == "": self.lstyle = " " # to allow for no line at all with ""
+        if self.linestyle == "": self.linestyle = " " # to allow for no line at all with ""
         # set dummy x axis if not defined
-        if self.absc is None: 
-            self.absc = np.array(range(self.field.shape[0]))
+        if self.x is None: 
+            self.x = np.array(range(self.f.shape[0]))
             print "!! WARNING !! dummy coordinates on x axis"
         else:
-            self.absc = np.array(self.absc) # ensure this is a numpy array
+            self.x = np.array(self.x) # ensure this is a numpy array
         # swapping if requested
-        if self.swap:  x = self.field ; y = self.absc
-        else:          x = self.absc ; y = self.field
+        if self.swap:  x = self.f ; y = self.x
+        else:          x = self.x ; y = self.f
         # coefficients on axis
         x=x*self.xcoeff ; y=y*self.ycoeff
@@ -489,12 +493,12 @@
         # make the 1D plot
         # either request linestyle or let matplotlib decide
-        if self.lstyle is not None and self.color is not None:
-            mpl.plot(x,y,self.color+self.lstyle,marker=self.marker,label=self.label)
+        if self.linestyle is not None and self.color is not None:
+            mpl.plot(x,y,self.color+self.linestyle,marker=self.marker,label=self.legend)
         elif self.color is not None:
-            mpl.plot(x,y,color=self.color,marker=self.marker,label=self.label)
-        elif self.lstyle is not None:
-            mpl.plot(x,y,linestyle=self.lstyle,marker=self.marker,label=self.label)
+            mpl.plot(x,y,color=self.color,marker=self.marker,label=self.legend)
+        elif self.linestyle is not None:
+            mpl.plot(x,y,linestyle=self.linestyle,marker=self.marker,label=self.legend)
         else:
-            mpl.plot(x,y,marker=self.marker,label=self.label)
+            mpl.plot(x,y,marker=self.marker,label=self.legend)
         # AXES
         ax = mpl.gca()
@@ -510,6 +514,6 @@
             self.xmin,self.xmax = self.xmax,self.xmin
         # add a label for line(s)
-        if self.label is not None:
-            if self.label != "":
+        if self.legend is not None:
+            if self.legend != "":
                 mpl.legend(loc="best",fancybox=True)
         # format labels
@@ -544,4 +548,10 @@
             ax = labelmodulo(ax,self.modx)
 
+    # makeshow = make + show
+    # -------------------------------
+    def makeshow(self):
+        self.make()
+        mpl.show()
+
 ################################
 # a subclass to make a 2D plot #
@@ -561,12 +571,12 @@
     # -------------------------------
     def __init__(self,\
-                 ordi=None,\
+                 y=None,\
                  mapmode=False,\
                  proj="cyl",\
                  back=None,\
                  trans=1.0,\
-                 addvecx=None,\
-                 addvecy=None,\
-                 addcontour=None,\
+                 vx=None,\
+                 vy=None,\
+                 c=None,\
                  blon=None,\
                  blat=None,\
@@ -576,6 +586,6 @@
                  showcb=True,\
                  wscale=None,\
-                 stridevecx=1,\
-                 stridevecy=1,\
+                 svx=1,\
+                 svy=1,\
                  leftcorrect=False,\
                  colorvec="black"):
@@ -583,13 +593,13 @@
         plot.__init__(self)
         ## what could be defined by the user
-        self.ordi = ordi
+        self.y = y
         self.mapmode = mapmode
         self.proj = proj
         self.back = back
         self.trans = trans
-        self.addvecx = addvecx
-        self.addvecy = addvecy
+        self.vx = vx
+        self.vy = vy
         self.colorvec = colorvec
-        self.addcontour = addcontour
+        self.c = c
         self.blon = blon ; self.blat = blat
         self.area = area
@@ -597,6 +607,6 @@
         self.showcb = showcb
         self.wscale = wscale
-        self.stridevecx = stridevecx
-        self.stridevecy = stridevecy
+        self.svx = svx
+        self.svy = svy
         self.leftcorrect = leftcorrect
 
@@ -610,5 +620,5 @@
         if self.var is not None:
          if self.var.upper() in vl.keys():
-          self.colorb = vc[self.var.upper()]
+          self.colorbar = vc[self.var.upper()]
           self.fmt = vf[self.var.upper()]
 
@@ -624,32 +634,32 @@
         ############################################################################################
         # set dummy xy axis if not defined
-        if self.absc is None: 
-            self.absc = np.array(range(self.field.shape[0]))
+        if self.x is None: 
+            self.x = np.array(range(self.f.shape[0]))
             self.mapmode = False
             print "!! WARNING !! dummy coordinates on x axis"
-        if self.ordi is None: 
-            self.ordi = np.array(range(self.field.shape[1]))
+        if self.y is None: 
+            self.y = np.array(range(self.f.shape[1]))
             self.mapmode = False
             print "!! WARNING !! dummy coordinates on y axis"
         # transposing if necessary
-        shape = self.field.shape
+        shape = self.f.shape
         if shape[0] != shape[1]:
-         if len(self.absc) == shape[0] and len(self.ordi) == shape[1]:
+         if len(self.x) == shape[0] and len(self.y) == shape[1]:
             print "!! WARNING !! Transposing axes"
-            self.field = np.transpose(self.field)
+            self.f = np.transpose(self.f)
         # bound field
-        zevmin, zevmax = calculate_bounds(self.field,vmin=self.vmin,vmax=self.vmax)
-        what_I_plot = bounds(self.field,zevmin,zevmax)
+        zevmin, zevmax = calculate_bounds(self.f,vmin=self.vmin,vmax=self.vmax)
+        what_I_plot = bounds(self.f,zevmin,zevmax)
         # define contour field levels. define color palette
         ticks = self.div + 1
         zelevels = np.linspace(zevmin,zevmax,ticks)
-        palette = get_cmap(name=self.colorb)
+        palette = get_cmap(name=self.colorbar)
         # do the same thing for possible contourline entries
-        if self.addcontour is not None:
+        if self.c is not None:
             # if masked array, set masked values to filled values (e.g. np.nan) for plotting purposes
-            if type(self.addcontour).__name__ in 'MaskedArray':
-               self.addcontour[self.addcontour.mask] = self.addcontour.fill_value
-            zevminc, zevmaxc = calculate_bounds(self.addcontour)
-            what_I_contour = bounds(self.addcontour,zevminc,zevmaxc)
+            if type(self.c).__name__ in 'MaskedArray':
+               self.c[self.c.mask] = self.c.fill_value
+            zevminc, zevmaxc = calculate_bounds(self.c)
+            what_I_contour = bounds(self.c,zevminc,zevmaxc)
             ticks = self.div + 1
             zelevelsc = np.linspace(zevminc,zevmaxc,ticks)
@@ -662,10 +672,10 @@
             ###################
             # swapping if requested
-            if self.swap:  x = self.ordi ; y = self.absc
-            else:          x = self.absc ; y = self.ordi
+            if self.swap:  x = self.y ; y = self.x
+            else:          x = self.x ; y = self.y
             # coefficients on axis
             x=x*self.xcoeff ; y=y*self.ycoeff
             # make shaded and line contours
-            if self.addcontour is not None: 
+            if self.c is not None: 
                 objC = mpl.contour(x, y, what_I_contour, \
                             zelevelsc, colors = ccol, linewidths = cline)
@@ -673,8 +683,8 @@
                 #             inline_spacing=1,fmt="%.0f")
             mpl.contourf(x, y, \
-                         self.field, \
+                         self.f, \
                          zelevels, cmap=palette)
             #mpl.pcolor(x,y,\
-            #             self.field, \
+            #             self.f, \
             #             cmap=palette)
             # make log axes and/or invert ordinate
@@ -708,9 +718,9 @@
             # get lon and lat in 2D version.
             # (but first ensure we do have 2D coordinates)
-            if self.absc.ndim == 1: 	[self.absc,self.ordi] = np.meshgrid(self.absc,self.ordi)
-            elif self.absc.ndim > 2:    print "!! ERROR !! lon and lat arrays must be 1D or 2D"
+            if self.x.ndim == 1: 	[self.x,self.y] = np.meshgrid(self.x,self.y)
+            elif self.x.ndim > 2:    print "!! ERROR !! lon and lat arrays must be 1D or 2D"
             # get lat lon intervals and associated settings
-            wlon = [np.min(self.absc),np.max(self.absc)]
-            wlat = [np.min(self.ordi),np.max(self.ordi)]
+            wlon = [np.min(self.x),np.max(self.x)]
+            wlat = [np.min(self.y),np.max(self.y)]
             # -- area presets are in set_area.txt
             if self.area is not None:
@@ -800,7 +810,7 @@
                  print "!! ERROR !! requested background not defined. change name or fill in set_back.txt" ; exit()
             # define x and y given the projection
-            x, y = m(self.absc, self.ordi)
+            x, y = m(self.x, self.y)
             # contour field. first line contour then shaded contour.
-            if self.addcontour is not None: 
+            if self.c is not None: 
                 objC2 = m.contour(x, y, what_I_contour, \
                             zelevelsc, colors = ccol, linewidths = cline)
@@ -829,24 +839,24 @@
         ### VECTORS. must be after the colorbar. we could also leave possibility for streamlines.
         ############################################################################################
-        ### not expecting NaN in self.addvecx and self.addvecy. masked arrays is just enough.
-        if self.addvecx is not None and self.addvecy is not None: 
+        ### not expecting NaN in self.vx and self.vy. masked arrays is just enough.
+        if self.vx is not None and self.vy is not None: 
                 # vectors on map projection or simple 2D mapping
                 if self.mapmode: 
-                   [vecx,vecy] = m.rotate_vector(self.addvecx,self.addvecy,self.absc,self.ordi) # for metwinds only ?
+                   [vecx,vecy] = m.rotate_vector(self.vx,self.vy,self.x,self.y) # for metwinds only ?
                 else:
-                   vecx,vecy = self.addvecx,self.addvecy 
+                   vecx,vecy = self.vx,self.vy 
                    if x.ndim < 2 and y.ndim < 2: x,y = np.meshgrid(x,y)
                 # reference vector is scaled
                 if self.wscale is None: 
-                    self.wscale = ppcompute.mean(np.sqrt(self.addvecx*self.addvecx+self.addvecy*self.addvecy))
+                    self.wscale = ppcompute.mean(np.sqrt(self.vx*self.vx+self.vy*self.vy))
                 # make vector field
                 if self.mapmode: 
-                    q = m.quiver( x[::self.stridevecy,::self.stridevecx],y[::self.stridevecy,::self.stridevecx],\
-                                  vecx[::self.stridevecy,::self.stridevecx],vecy[::self.stridevecy,::self.stridevecx],\
+                    q = m.quiver( x[::self.svy,::self.svx],y[::self.svy,::self.svx],\
+                                  vecx[::self.svy,::self.svx],vecy[::self.svy,::self.svx],\
                                   angles='xy',color=self.colorvec,pivot='tail',\
                                   scale=self.wscale*reducevec,width=widthvec )
                 else:
-                    q = mpl.quiver( x[::self.stridevecy,::self.stridevecx],y[::self.stridevecy,::self.stridevecx],\
-                                    vecx[::self.stridevecy,::self.stridevecx],vecy[::self.stridevecy,::self.stridevecx],\
+                    q = mpl.quiver( x[::self.svy,::self.svx],y[::self.svy,::self.svx],\
+                                    vecx[::self.svy,::self.svx],vecy[::self.svy,::self.svx],\
                                     angles='xy',color=self.colorvec,pivot='tail',\
                                     scale=self.wscale*reducevec,width=widthvec )
@@ -880,2 +890,8 @@
         except IOError:
             pass
+
+    # makeshow = make + show
+    # -------------------------------
+    def makeshow(self):
+        self.make()
+        mpl.show()
